Skip to main content
PUT
Set Peer Config

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required
session_id
string
required
peer_id
string
required

Body

application/json

New peer configuration

observe_me
boolean | null

Whether Honcho will use reasoning to form a representation of this peer

observe_others
boolean | null

Whether this peer should form a session-level theory-of-mind representation of other peers in the session

joined_at
string<date-time> | null

When this peer joined the session; defaults to now for a new membership. Write-only. Set it when importing historical messages: peer_perspective search only returns messages created at or after the peer's join time. If the peer is already in the session, its join time is changed to this value. A timestamp without a timezone is read as UTC. A time more than five minutes in the future is rejected.

Response

Successful Response